Bug 211096 - ucs.sty and other files not found after installing
Summary: ucs.sty and other files not found after installing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex-unicode
Version: 5
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-17 12:27 UTC by Peter Berry
Modified: 2008-05-06 16:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 16:29:52 UTC
Type: ---


Attachments (Terms of Use)

Description Peter Berry 2006-10-17 12:27:46 UTC
Description of problem:
After installing tetex-unicode, if you try to use the package in a LaTeX file
(with \usepackage{ucs} and \usepackage[utf8x]{inputenc}), running pdflatex on it
gives the error:

 ! LaTeX Error: File `ucs.sty' not found.

This is despite the fact that ucs.sty has, according to rpm -q --filesbypkg,
beein installed in /usr/share/texmf/tex/latex/unicode/ucs.sty . Typing in this
path when pdflatex asks for a filename reveals that other files installed by
this package can't be found either.

It appears that TeX, instead of just looking for the file, looks in an index
first, and that this package's post-install script neglects to rebuild this index.

Version-Release number of selected component (if applicable):
0-5.20041017.fc5

How reproducible:
Always

Steps to Reproduce:
1. $ yum install tetex-unicode
2. Try to compile a LaTeX file using the ucs package
  
Actual results:
pdflatex fails to find ucs.sty (and other files provided by this package)

Expected results:
pdflatex finds the files, uses them, and generates a pdf.

Additional info:
marked as high severity because it renders the package useless.

Comment 1 Aurelien Bompard 2006-10-17 12:42:58 UTC
Strange, the package runs texhash after install, and thus updates the tex database.
I've updated the scriptlets to use the same ones as those in the main tetex
package. An update should be published soon. Please try it here in the meantime :
http://gauret.free.fr/fichiers/rpms/fedora/tetex-unicode-0-7.20041017.noarch.rpm

Comment 2 Peter Berry 2007-02-12 16:49:32 UTC
Still present in FC6 (version 7.20041017.fc6)

Comment 3 Michael Schwendt 2007-02-12 18:32:55 UTC
Cannot confirm.

But the package %description could be updated to read

  \usepackage[utf8x]{inputenc} 

where it reads

  \usepackage[utf8]{inputenc} 


Comment 4 Bug Zapper 2008-04-04 04:00:42 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 5 Bug Zapper 2008-05-06 16:29:50 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.